Package csb :: Package apps :: Module csfrag :: Class SecondaryShiftReader

[frames] | no frames]

# Class SecondaryShiftReader

source code

    object --+
             |
            SecondaryShiftReader

Reads secondary shifts from files in CSfrag format.

Instance Methods

dict

load_database(self, path, file=`'``pdbs25cs.scs``'`) Read the entire PDBS25CS database. | source code

dict

read_shifts(self, string) Read secondary shifts. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| DB = ``'``pdbs25cs.scs``'``

Properties
Inherited from `object`: `__class__`

Method Details

### load_database(self, path, file=`'``pdbs25cs.scs``'`)

source code

Read the entire PDBS25CS database.

Returns: dict
  dictionary of the form: [entry ID: [rank: [nucleus: sec shift]]]

### read_shifts(self, string)

source code

Read secondary shifts.

Parameters:
  - `string` (str) - complete secondary shift block
Returns: dict
  dictionary of the form: [rank: [nucleus: sec shift]]